package modele;

import modele.Jeu;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class IOJeu extends Jeu {
    /**
     * Liste contenant les instructions  lire (qui remplacent les entres au clavier)
     */
    private List<String> instructions;

    /**
     * Constructeur, qui reprend exactement le constructeur de Game
     */
    public IOJeu(String[] nomJoueurs) {
        super(nomJoueurs);
        this.instructions = new ArrayList<>();
    }

    /**
     * Lit et renvoie une instruction dans la liste
     */
    public String lireLigne() {
        return instructions.remove(0);
    }

    /**
     * Fixe la liste d'instructions du jeu.
     *
     * @param args liste de chanes de caractres. Chaque lment est une instruction (sans '\n'  la fin)
     */
    public void setInput(String... args) {
        instructions.clear();
        Collections.addAll(instructions, args);
    }
}
